Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
EventRecordingListener Class Reference
Inheritance diagram for EventRecordingListener:

## Public Member Functions
| EventRecordingListener (const char *name)
Public Member Functions inherited from TestEventListener
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()

## Protected Member Functions
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &)
virtual void | OnTestStart (const TestInfo &)
virtual void | OnTestPartResult (const TestPartResult &)
virtual void | OnTestEnd (const TestInfo &)
virtual void | OnTestCaseEnd (const TestCase &)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestIterationEnd (const UnitTest &, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &)

## Constructor & Destructor Documentation

EventRecordingListener | ( | const char * | name | ) |
| inline

## Member Function Documentation

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestCaseEnd | ( | const TestCase & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestCaseStart | ( | const TestCase & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestEnd | ( | const TestInfo & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | ,
|  | int | iteration
| ) |  |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestIterationStart | ( | const UnitTest & | ,
|  | int | iteration
| ) |  |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestPartResult | ( | const TestPartResult & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & |  | ) |
| inline protected virtual

Implements TestEventListener.

virtual void OnTestStart | ( | const TestInfo & |  | ) |
| inline protected virtual

Implements TestEventListener.

The documentation for this class was generated from the following file:

- testing/googleTest/test/gtest-listener_test.cc